### Hierarchy

- PerformanceObserverEntryList

## Index

### Methods

- getEntries
- getEntriesByName
- getEntriesByType

## Methods

### getEntries

- getEntries(): PerformanceEntry[]

- - Defined in node_modules/@types/node/perf_hooks.d.ts:199

  #### Returns PerformanceEntry[]

  a list of PerformanceEntry objects in chronological order with respect to performanceEntry.startTime.

### getEntriesByName

- getEntriesByName(name: string, type?: undefined | string): PerformanceEntry[]

- - Defined in node_modules/@types/node/perf_hooks.d.ts:205

  #### Parameters

  - ##### name: string

  - ##### Optional type: undefined | string

  #### Returns PerformanceEntry[]

  a list of PerformanceEntry objects in chronological order with respect to performanceEntry.startTime whose performanceEntry.name is equal to name, and optionally, whose performanceEntry.entryType is equal to type.

### getEntriesByType

- getEntriesByType(type: string): PerformanceEntry[]

- - Defined in node_modules/@types/node/perf_hooks.d.ts:211

  #### Parameters

  - ##### type: string

  #### Returns PerformanceEntry[]

  Returns a list of PerformanceEntry objects in chronological order with respect to performanceEntry.startTime whose performanceEntry.entryType is equal to type.

Generated using TypeDoc